1. a7mag3ddon

    OP a7mag3ddon GBAtemp Regular
    Member

    Joined:
    Mar 17, 2013
    Messages:
    155
    Country:
    Does anyone know what the required Firmware version is required to play Sonic Forces, want to buy it but dont want to update.

    Thanks.
     
  2. ut2k4master

    ut2k4master Lord Tourettes
    Member

    Joined:
    Feb 20, 2010
    Messages:
    1,159
    Country:
    Germany
    why do you want to punish yourself? :P
     
  3. smileyhead

    smileyhead This is definitely not a robotic component!
    Member

    Joined:
    Aug 31, 2015
    Messages:
    4,234
    Country:
    Hungary
    upload_2017-12-26_11-59-3.png

    Save your money for better games.
     
  4. a7mag3ddon

    OP a7mag3ddon GBAtemp Regular
    Member

    Joined:
    Mar 17, 2013
    Messages:
    155
    Country:
    But i like Sonic games :-)
     
  5. smileyhead

    smileyhead This is definitely not a robotic component!
    Member

    Joined:
    Aug 31, 2015
    Messages:
    4,234
    Country:
    Hungary
    Me too, but this one is rubbish.
     
  6. a7mag3ddon

    OP a7mag3ddon GBAtemp Regular
    Member

    Joined:
    Mar 17, 2013
    Messages:
    155
    Country:
    But its just been reduced to £31 a bargain
     
  7. Polopop123

    Polopop123 Banned
    Banned

    Joined:
    Aug 21, 2017
    Messages:
    271
    Country:
    Ireland
  8. a7mag3ddon

    OP a7mag3ddon GBAtemp Regular
    Member

    Joined:
    Mar 17, 2013
    Messages:
    155
    Country:
    Oh thanks, i was looking off site, like nswdb but wasnt listed, didnt think to look on here.
     
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - Firmware, required, version